import 'package:database_device/database_device.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(const MyApp());
}

//===================================
class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return const MaterialApp(
      title: 'Database Device',
      debugShowCheckedModeBanner: false,
      home: DatabaseDeviceWidget(),
    );
  }
}

class DatabaseDeviceWidget extends StatefulWidget {
  const DatabaseDeviceWidget({Key? key}) : super(key: key);

  @override
  State<DatabaseDeviceWidget> createState() => _DatabaseDeviceWidgetState();
}

class _DatabaseDeviceWidgetState extends State<DatabaseDeviceWidget> {
  List list = [];
  int i = 0;
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(actions: [
        Padding(
          padding: const EdgeInsets.all(8.0),
          child: InkWell(
            onTap: () => DatabaseDevice.removeAllData(),
            child: const Center(child: Icon(Icons.delete)),
          ),
        )
      ]),
      body: DatabaseDevice.childFutureBuilder(
        getData: ((data, key) => setState(() {
              list = data;
              i = key;
            })),
        child: ListView.builder(
          itemCount: list.length,
          itemBuilder: ((context, index) => Card(
                elevation: 7,
                color: Colors.amber.shade400,
                child: Container(
                  alignment: Alignment.center,
                  height: 100,
                  child: Text(list[index]['name']),
                ),
              )),
        ),
      ),
      floatingActionButton: FloatingActionButton(
          onPressed: () => DatabaseDevice.add({"name": "Raed $i"})),
    );
  }
}
